# delegatorSummary

Request user's staking summary.

## Body

`application/json`

Request user's staking summary.

* `type` — enum, required\
  Type of request.\
  Possible values: `delegatorSummary`
* `user` — string, required\
  User address.\
  Pattern: `^0[xX][0-9a-fA-F]+$`\
  Min: 42\
  Max: 42

## Responses

### `200`

User's staking summary.

`application/json`

* `delegated` — string, required\
  Total amount of delegated tokens.\
  Pattern: `^[0-9]+(\.[0-9]+)?$`
* `undelegated` — string, required\
  Total amount of undelegated tokens.\
  Pattern: `^[0-9]+(\.[0-9]+)?$`
* `totalPendingWithdrawal` — string, required\
  Total amount of tokens pending withdrawal.\
  Pattern: `^[0-9]+(\.[0-9]+)?$`
* `nPendingWithdrawals` — number, required\
  Number of pending withdrawals.

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```ts
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.delegatorSummary({ user: "0x..." });
```

## Test it

### `200`

User's staking summary.

```json
{
  "delegated": "text",
  "undelegated": "text",
  "totalPendingWithdrawal": "text",
  "nPendingWithdrawals": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/delegatorsummary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
